<?php namespace Pratik\Controllers;

use CodeIgniter\Controller;
use Pratik\Config\Siniflar_Config;
use Pratik\Models\Pratik_Model;

class Siniflar extends Controller
{
	public $data = array();
	public $model ;
	public $state=false ;
    function __construct()
	{
        $this->model = new Pratik_Model();
        $this->session = \Config\Services::session();
		$this->request = \Config\Services::request();
		$this->data['module'] = 'siniflar';
    }
	public function index()
	{	
		if($this->state === false ) $this->state =  $this->request->getPostget('state');	
		if($this->state===null) $this->state=1;
		$elements = new siniflar_Config();
		$this->data['page_title']=t_('siniflar','sinifstate_'.$this->state);		
		$this->data['elements'] = $elements->basic;	
		$this->data['state'] = $this->state;
		$this->data['menu'] =array('siniflar','sinifstate_'.$this->state);
		
		return view('Admin\module\module_list', array('data'=>$this->data));
	}
	public function setup()
	{
		$elements = new siniflar_Config();
		$this->model->setupTable('siniflar',$elements->basic);
		$this->data['menu']=array('siniflar');
	}
	public function edit()
	{	
		$id =  $this->request->getPostget('id');
		$elements = new siniflar_Config();
		$this->data['basic'] = $this->model->getBasic('siniflar', $id, $elements->basic,'',true );
		if($id==0)
		{
			$this->data['basic']['id']['val']=0;
			$this->data['basic']['ad']['val']=t_('Yeni Sınıf');
			
		}
		$this->data['metas'] = $this->model->getMetas($id, 'siniflar', "",$elements->metas, 'tr_TR', 'meta', true, false);
		$this->data['page_title']=t_('siniflar');		
		$this->data['menu']=array('siniflar','sinif_edit');

		return view('Admin\module\module_edit', array('data'=>$this->data));
	}


	//--------------------------------------------------------------------

}
